Name:           ocaml-oasis
Version:        0.4.11
Release:        %mkrel 9
Summary:        Architecture for building OCaml libraries and applications
License:        LGPL-2.1 with OCaml linking exception
Group:          Development/OCaml
URL:            http://oasis.forge.ocamlcore.org/
Source0:        https://forge.ocamlcore.org/frs/download.php/1757/oasis-%{version}.tar.gz

BuildRequires:  ocaml-ocamlbuild >= 0.12.0-1.mga7
BuildRequires:  ocaml-ocamlbuild-devel >= 0.12.0-1.mga7
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocamlmod
BuildRequires:  ocamlify
BuildRequires:  ocaml-ounit
BuildRequires:  ocaml-fileutils
BuildConflicts: ocaml-cppo

%description
OASIS generates a full configure, build and install system for your
application. It starts with a simple `_oasis` file at the toplevel of your
project and creates everything required.

It uses external tools like OCamlbuild and it can be considered as the glue
between various subsystems that do the job. It should support the following
tools: OCamlbuild, OMake (todo), OCamlMakefile (todo), ocaml-autoconf (todo)

It also features a do-it-yourself command line invocation and an internal
configure/install scheme. Libraries are managed through findlib. It has been
tested on GNU Linux and Windows.

It also allows to have standard entry points and description. It helps to
integrates your libraries and software with third parties tools like GODI.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n oasis-%{version}

%build
ocaml setup.ml -configure \
    --destdir $RPM_BUILD_ROOT \
    --prefix %{_prefix}
ocaml setup.ml -build

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
make install

# remove installed doc (we use the %doc macro):
rm -rf %{buildroot}/usr/share/doc/oasis/

%files
%doc README.md COPYING.txt AUTHORS.md CHANGES.txt INSTALL.md TODO.txt
%dir %{_libdir}/ocaml/oasis
%dir %{_libdir}/ocaml/plugin-loader
%{_bindir}/oasis
%{_libdir}/ocaml/oasis/META
%{_libdir}/ocaml/oasis/*.cmi
%{_libdir}/ocaml/oasis/*.cma
%{_libdir}/ocaml/oasis/*.cmxs
%{_libdir}/ocaml/plugin-loader/META
%{_libdir}/ocaml/plugin-loader/*.cmi
%{_libdir}/ocaml/plugin-loader/*.cma
%{_libdir}/ocaml/plugin-loader/*.cmxs

%files devel
%doc doc/
%{_libdir}/ocaml/oasis/*.cmxa
%{_libdir}/ocaml/oasis/*.cmx
%{_libdir}/ocaml/oasis/*.cmt*
%{_libdir}/ocaml/oasis/*.annot
%{_libdir}/ocaml/oasis/*.a
%{_libdir}/ocaml/oasis/*.mli
%{_libdir}/ocaml/oasis/*.ml
%{_libdir}/ocaml/plugin-loader/*.cmxa
%{_libdir}/ocaml/plugin-loader/*.cmx
%{_libdir}/ocaml/plugin-loader/*.cmt*
%{_libdir}/ocaml/plugin-loader/*.annot
%{_libdir}/ocaml/plugin-loader/*.a
%{_libdir}/ocaml/plugin-loader/*.ml


%changelog
* Sun Jan 10 2021 pterjan <pterjan> 0.4.11-9.mga8
+ Revision: 1670668
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 0.4.11-8.mga8
+ Revision: 1551490
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 0.4.11-7.mga8
+ Revision: 1545647
- Mageia 8 Mass Rebuild

* Wed Jan 29 2020 tv <tv> 0.4.11-6.mga8
+ Revision: 1485058
- rebuild for ocaml-4.10

* Wed Jan 22 2020 tv <tv> 0.4.11-5.mga8
+ Revision: 1482060
- rebuild for ocaml-4.10

* Tue Oct 23 2018 pterjan <pterjan> 0.4.11-4.mga7
+ Revision: 1324540
- Rebuild for ocaml 4.07.1

* Sun Sep 23 2018 umeabot <umeabot> 0.4.11-3.mga7
+ Revision: 1299902
- Mageia 7 Mass Rebuild

* Fri Apr 27 2018 daviddavid <daviddavid> 0.4.11-2.mga7
+ Revision: 1222795
- rebuild for new ocaml-findlib 1.8.0

* Sat Apr 07 2018 daviddavid <daviddavid> 0.4.11-1.mga7
+ Revision: 1215865
- new version: 0.4.11

* Sat Jan 06 2018 tv <tv> 0.4.10-1.mga7
+ Revision: 1190781
- BR ocaml-findlib-devel
- BR ocaml-ocamlbuild-devel
- new release
- fix build
- rebuild for new ocaml

* Thu Nov 24 2016 neoclust <neoclust> 0.4.5-2.mga6
+ Revision: 1069801
- Rebuild against fixed ocaml

* Fri Jan 29 2016 pterjan <pterjan> 0.4.5-1.mga6
+ Revision: 929031
- Update to 0.4.5

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-9.mga5
+ Revision: 747851
- Second Mageia 5 Mass Rebuild

* Sun Oct 05 2014 malo <malo> 0.3.0-8.mga5
+ Revision: 736943
- fix requires

* Tue Sep 16 2014 umeabot <umeabot> 0.3.0-7.mga5
+ Revision: 683071
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.3.0-6.mga4
+ Revision: 536403
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 blue_prawn <blue_prawn> 0.3.0-5.mga4
+ Revision: 484208
- rebuild for ocaml-4.01.0

* Sun Jan 13 2013 umeabot <umeabot> 0.3.0-4.mga3
+ Revision: 361494
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 11 2012 malo <malo> 0.3.0-3.mga3
+ Revision: 304536
- remove Requires on ocaml
+ blue_prawn <blue_prawn>
- new rpm group for ocaml

* Mon Jul 16 2012 blue_prawn <blue_prawn> 0.3.0-1.mga3
+ Revision: 271196
- needs req type-conv
- needs camlp4
- imported package ocaml-oasis

